## EDU.oswego.cs.dl.util.concurrent
Class FJTaskRunner.VolatileTaskRef

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.FJTaskRunner.VolatileTaskRef

Enclosing class:
  FJTaskRunner

    protected static final class FJTaskRunner.VolatileTaskRef

extends java.lang.Object

An object holding a single volatile reference to a FJTask.

Field Summary
`protected FJTask` `ref` The reference

Constructor Summary
`protected` `FJTaskRunner.VolatileTaskRef()`

Method Summary
`protected FJTask` `get()` Return the reference
`protected static FJTaskRunner.VolatileTaskRef[]` `newArray(int cap)` Initialization utility for constructing arrays.
`protected void` `put(FJTask r)` Set the reference
`protected FJTask` `take()` Return the reference and clear it

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected volatile FJTask ref

  The reference

Constructor Detail

### FJTaskRunner.VolatileTaskRef

    protected FJTaskRunner.VolatileTaskRef()

Method Detail

### put

    protected final void put(FJTask r)

  Set the reference

### get

    protected final FJTask get()

  Return the reference

### take

    protected final FJTask take()

  Return the reference and clear it

### newArray

    protected static FJTaskRunner.VolatileTaskRef[] newArray(int cap)

  Initialization utility for constructing arrays. Make an array of given capacity and fill it with VolatileTaskRefs.